osg::SetScalarValue< T > Class Template Reference

`#include <ValueObject>`

Inheritance diagram for osg::SetScalarValue< T >:

## Public Member Functions

| SetScalarValue (T in_value)
virtual void | apply (bool &in_value)
virtual void | apply (char &in_value)
virtual void | apply (unsigned char &in_value)
virtual void | apply (short &in_value)
virtual void | apply (unsigned short &in_value)
virtual void | apply (int &in_value)
virtual void | apply (unsigned int &in_value)
virtual void | apply (float &in_value)
virtual void | apply (double &in_value)
Public Member Functions inherited from osg::ValueObject::SetValueVisitor
virtual | ~SetValueVisitor ()
virtual void | apply (std::string &)
virtual void | apply (osg::Vec2b &)
virtual void | apply (osg::Vec3b &)
virtual void | apply (osg::Vec4b &)
virtual void | apply (osg::Vec2ub &)
virtual void | apply (osg::Vec3ub &)
virtual void | apply (osg::Vec4ub &)
virtual void | apply (osg::Vec2s &)
virtual void | apply (osg::Vec3s &)
virtual void | apply (osg::Vec4s &)
virtual void | apply (osg::Vec2us &)
virtual void | apply (osg::Vec3us &)
virtual void | apply (osg::Vec4us &)
virtual void | apply (osg::Vec2i &)
virtual void | apply (osg::Vec3i &)
virtual void | apply (osg::Vec4i &)
virtual void | apply (osg::Vec2ui &)
virtual void | apply (osg::Vec3ui &)
virtual void | apply (osg::Vec4ui &)
virtual void | apply (osg::Vec2f &)
virtual void | apply (osg::Vec3f &)
virtual void | apply (osg::Vec4f &)
virtual void | apply (osg::Vec2d &)
virtual void | apply (osg::Vec3d &)
virtual void | apply (osg::Vec4d &)
virtual void | apply (osg::Quat &)
virtual void | apply (osg::Plane &)
virtual void | apply (osg::Matrixf &)
virtual void | apply (osg::Matrixd &)
virtual void | apply (osg::BoundingBoxf &)
virtual void | apply (osg::BoundingBoxd &)
virtual void | apply (osg::BoundingSpheref &)
virtual void | apply (osg::BoundingSphered &)

## Public Attributes

bool | set
T | value

## Constructor & Destructor Documentation

## SetScalarValue()

template<typename T>

osg::SetScalarValue< T >::SetScalarValue | ( | T | in_value | ) |

inline

References set, and value.

## Member Function Documentation

## apply() [1/9]

template<typename T>

virtual void osg::SetScalarValue< T >::apply | ( | bool & | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::SetValueVisitor.

References set, and value.

## apply() [2/9]

template<typename T>

virtual void osg::SetScalarValue< T >::apply | ( | char & | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::SetValueVisitor.

References set, and value.

## apply() [3/9]

template<typename T>

virtual void osg::SetScalarValue< T >::apply | ( | double & | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::SetValueVisitor.

References set, and value.

## apply() [4/9]

template<typename T>

virtual void osg::SetScalarValue< T >::apply | ( | float & | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::SetValueVisitor.

References set, and value.

## apply() [5/9]

template<typename T>

virtual void osg::SetScalarValue< T >::apply | ( | int & | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::SetValueVisitor.

References set, and value.

## apply() [6/9]

template<typename T>

virtual void osg::SetScalarValue< T >::apply | ( | short & | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::SetValueVisitor.

References set, and value.

## apply() [7/9]

template<typename T>

virtual void osg::SetScalarValue< T >::apply | ( | unsigned char & | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::SetValueVisitor.

References set, and value.

## apply() [8/9]

template<typename T>

virtual void osg::SetScalarValue< T >::apply | ( | unsigned int & | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::SetValueVisitor.

References set, and value.

## apply() [9/9]

template<typename T>

virtual void osg::SetScalarValue< T >::apply | ( | unsigned short & | in_value | ) |

inline virtual

Reimplemented from osg::ValueObject::SetValueVisitor.

References set, and value.

## Member Data Documentation

## set

template<typename T>

bool osg::SetScalarValue< T >::set

Referenced by apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), SetScalarValue(), and osg::ValueObject::setScalarValue().

## value

template<typename T>

T osg::SetScalarValue< T >::value

Referenced by apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), apply(), and SetScalarValue().

The documentation for this class was generated from the following file:

- ValueObject